{pkgs, ...}: {
  services.displayManager = {
    sddm.enable = true;
    sddm.wayland = {
      enable = true;
      compositor = "kwin";
    };
    defaultSession = "plasma";
  };
  services.desktopManager.plasma6.enable = true;
  programs.dconf.enable = true;

  programs.kdeconnect.enable = true;

  environment.systemPackages = with pkgs; [
    kdePackages.ksshaskpass
    kdePackages.kaccounts-integration
    kdePackages.kaccounts-providers
    kdePackages.kio-gdrive
    maliit-keyboard
  ];

  environment.variables = {
    GIT_ASKPASS = "${pkgs.kdePackages.ksshaskpass.out}/bin/ksshaskpass";
    NIXOS_OZONE_WL = "1";
    GTK_USE_PORTAL = "1";
  };
}
